<?php
class WidgetsManagerDecorator extends DataObjectDecorator {

	function extraStatics() {
		return array(
			'db' => array(
				"WidgetAreaOwner" => "Enum('Managed, Self, None', 'Managed')",
		),
			'has_one' => array(
				"ManagedWidgetsAreaHolder" => "ManagedWidgetsAreaHolder",
		),
		);
	}

	public function updateCMSFields(FieldSet &$fields) {
		$viewersOptionsSource = array();
		$viewersOptionsSource["Managed"] = _t('WidgetsManager.MANAGING_TYPE_MANAGED', "Managed");
		$viewersOptionsSource["Self"] = _t('WidgetsManager.MANAGING_TYPE_SELF', "Self");
		$viewersOptionsSource["None"] = _t('WidgetsManager.MANAGING_TYPE_NONE', "None");


		$fields->addFieldToTab("Root.Content.ManagedWidgets", new OptionsetField("WidgetAreaOwner", _t('WidgetsManager.MANAGING_TYPE', "Widgets Managing Type"),$viewersOptionsSource));
		$fields->addFieldToTab("Root.Content.ManagedWidgets", new DropdownField('ManagedWidgetsAreaHolderID', _t('WidgetsManager.TITLE', "Widgets Manager"), Dataobject::get("ManagedWidgetsAreaHolder")->toDropdownMap('ID','Title','[Inherit]')));
	}



}
?>